# EinsModal

<p align="center">
<a target="_blank" href="https://www.einscms.com/modal"><img style="width: 100%; max-width: 1080px;" src="https://www.einscms.com/modal/assets/images/logo-w-1080.png"></a>
</p>

[![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg)](https://opensource.org/licenses/MIT)

# The last modal / alert / dialog you will ever need!

## Full Documentation: [https://www.einscms.com/modal](https://www.einscms.com/modal)

EinsModal is the best solution to interact with your users.

It works on every browser and device! (Internet Explorer >= 9)

"Eins" is german and means "one".

This software is part of the Eins-Software-Family.

Every Eins-Software-Product aims to be the one and only software solution you will ever need regarding its task.

## Features

- ⚡ **Created with Vanilla Javascript**

  Created with vanilla js. Means no external framework used.

- ✏️ **Well documented**
    
  The documentation also has a Modal-Generator 😍

- 💪 **Actively Maintained**

  The software is always up to date!

- 🌈 **Works with all mobile and desktop Browsers**

  Internet Explorer >= 9

- 🍰 **Easy to use and robust**

  Eating a cake is more difficult than using EinsModal 😂

- 😎 **Can display every type of HTML**

  Yes, it can!

- 🚀 **No Javascript knowledge required**

  You just need to know how to insert HTML!

- 🔥 **Easy to Customize & Extend**

  EinsModal has just a small amount of CSS. Means overriding it or extending it very easy!

  You can also use the SCSS file if you want to.

  EinsModal provides everything you need to interact with it via JS. Means there are no limits regarding extending and using!

- 🌚 **Dark theme build in**

  Dark theme is already build in. Modifying it or adding new themes is very easy!


## Installation

### With NPM

```bash
npm install eins-modal
```

```javascript
// scss
import 'eins-modal/src/scss/style.scss'
// OR css
import 'eins-modal/dist/css/eins-modal.min.css'

// javascript
import EinsModal from 'eins-modal';
// OR
import 'eins-modal';
```

### Without NPM

## <a target="_blank" href="https://github.com/EinsCMS/eins-modal/archive/refs/heads/master.zip">Download</a>


```html
<head>
  <!-- In Head Tag -->
  <link rel="stylesheet" href="/path/to/dist/css/eins-modal.min.css">
</head>
<body>
  <!-- End Of Body Tag -->
  <script src="/path/to/dist/js/eins-modal.min.js"></script>
</body>
```

## Author

- [Timucin Ünal](https://www.goodsoft.de)

## License

This project is open source and available under the [MIT License](LICENSE).


## You can find Examples and more here:
## [https://www.einscms.com/modal](https://www.einscms.com/modal)